## org.eclipse.jst.jsf.core.set.constraint
Class MemberConstraint

    java.lang.Object
      org.eclipse.jst.jsf.common.sets.constraint.AbstractSetConstraint
          org.eclipse.jst.jsf.core.set.constraint.MemberConstraint

    public class MemberConstraint

extends AbstractSetConstraint

A set constraint that is satisfied if a test set contains all of the specified mustBeMembers.

Provisional API - subject to change

Constructor Summary
`MemberConstraint(AxiomaticSet mustBeMembers)`

Method Summary
`Diagnostic` `isSatisfied(AxiomaticSet set)` Members of set must be comparable with thos in mustBeMembers using equals()

Methods inherited from class org.eclipse.jst.jsf.common.sets.constraint.AbstractSetConstraint
`failsConstraint, passesConstraint`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberConstraint

    public MemberConstraint(AxiomaticSet mustBeMembers)

Parameters:
  `mustBeMembers` - -- the set of objects that must occur in the input set for the constraint to satisfy.

Method Detail

### isSatisfied

    public Diagnostic isSatisfied(AxiomaticSet set)

  Members of set must be comparable with thos in mustBeMembers using equals()

  Specified by:
    `isSatisfied` in class `AbstractSetConstraint`
  Parameters:
    `set` -
  Returns:
    whether or not the constraint is satisfied. If not satisfied, the diagnostic's data array will contain the objects that are missing.